﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.FlexGrid;
using C1.Silverlight;

namespace C1FlexGrid_CustomFilterEditor_CSharp
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            c1FlexGrid1.ItemsSource = Product.GetProducts(500);
            var f = C1FlexGridFilterService.GetFlexGridFilter(c1FlexGrid1);
            f.EditorOpened += new EventHandler(f_EditorOpened);
        }

        void f_EditorOpened(object sender, EventArgs e)
        {
            var filter = sender as C1FlexGridFilter;
            var editor = filter.Editor;
            IList<DependencyObject> list = new List<DependencyObject>();
            IList<DependencyObject> list1 = new List<DependencyObject>();
            IList<DependencyObject> list2 = new List<DependencyObject>();

            VTreeHelper.GetChildrenOfType(editor, typeof(ComboBox), ref list);
            VTreeHelper.GetChildrenOfType(editor, typeof(Button), ref list1);
            VTreeHelper.GetChildrenOfType(editor, typeof(TextBox), ref list2);
            (list[0] as ComboBox).SelectedIndex = 7;
            //hide first combobox dropdown under conditions
            (list[1] as ComboBox).Visibility = System.Windows.Visibility.Collapsed;
            //hide "Clear" button
            (list1[1] as Button).Visibility = System.Windows.Visibility.Collapsed;
            //hide second text box in conditions
            (list2[1] as TextBox).Visibility = System.Windows.Visibility.Collapsed;
           
        }

      
    }
}
